
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux中sendmail邮件发送导致服务器延迟 / iVAN</title>

    <meta name="description" content="linux中sendmail邮件发送导致服务器延迟 在折腾自动备份到邮箱的脚本,执行中突然vps变得非常卡,ping了下发现vps的延迟飙升到了2000+,从阿里云后台的监控看上行带宽最大已经达到了1MB/s, 停止sendmail服务后延迟正常,重启后问题依旧,很容易就可以判断应该是邮件发送的附件体积较大占用大量网络资源导致的问题,尝试重启sendmail问题依旧,可以判断重启后邮件仍在发送的列队,会重新发送,平常很少使用mail命令,所以一番搜索后找到答案:    代码如下 复制代码 [root@abccccc ~]# sendmail -b">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux中sendmail邮件发送导致服务器延迟</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在折腾自动备份到邮箱的脚本，执行中突然vps变得非常卡，ping了下发现vps的延迟飙升到了2000+，从阿里云后台的监控看上行带宽最大已经达到了1MB/s，<br />
停止sendmail服务后延迟正常，重启后问题依旧，很容易就可以判断应该是邮件发送的附件体积较大占用大量网络资源导致的问题，尝试重启sendmail问题依旧，可以判断重启后邮件仍在发送的列队，会重新发送，平常很少使用mail命令，所以一番搜索后找到答案：</p>
<p> </p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />[root@abccccc ~]# sendmail -bp</p>
<p>/var/spool/mqueue (1 request)<br />
-----Q-ID----- --Size-- -----Q-Time----- ------------Sender/Recipient-----------</p>
<p>s42CBBlP002728 175369339 Fri May  2 20:11 &lt;root@abccccc.info&gt;</p>
<p>&lt;i@root@abccccc&gt;</p>
<p>Total requests: 1</p>
</td>
</tr>
</table>
<p>可以查看待发送的列队，看到已经的确是有列队的邮件，我们删除掉就好了，邮件列队文件存放</p>
<p>在/var/spool/mqueue/，删除该目录下的对应文件即可</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />[root@abccccc ~]# cd /var/spool/mqueue<br />
[root@abccccc mqueue]# ls<br />
dfs42CBBlP002728  qfs42CBBlP002728<br />
[root@abccccc mqueue]# rm -rf *</p>
</td>
</tr>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 23:31:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e9%82%ae%e4%bb%b6/" title="邮件">邮件</a>, <a href="https://www.iamivan.net/tag/%e5%a4%87%e4%bb%bd/" title="备份">备份</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux中sendmail邮件发送导致服务器延迟的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN2aWxM.html" rel="bookmark">LINUX中的邮件安全问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SMTP服务器工作规程: 接收进来的消息. 检查消息的地址. 如果消息的地址为本地地址,保存消息以便检索. 如果是远程地址,转发该消息. SMTP服务器功能同包路由器一样,除了SMTP服务专用于邮件.大部分SMTP服务器可以按需要存储以及转发消息. SMTP服务器在两个不同任务上 提出了安全要求: 保护服务器以免被攻破.必须给服务器加上防护盔甲 防止外部进攻,如果外部进攻成功会使进攻者未经授权便能进入你的系统. 保护SMTP服务以免错误使用, 例如外人利用你的电子邮件服务器发送假的邮件和垃圾.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1r51op.html" rel="bookmark">发送失败-SMTP中的邮件发送问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 SMTP中的邮件发送问题 connect(ui.pb_send,SIGNAL(clicked()),this,SLOT(sendmail(Socket))); void SMTPclient::sendmail(QTcpSocket * socket) { qDebug(&quot;1111111111111111111111111111&quot;); sendcommand(socket,&quot;HELO:&lt;&quot; + ui.le_SMTP-&gt;text() + &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3WaKmb.html" rel="bookmark">linux中Zabbix邮件报警设置配置步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说明: Zabbix监控服务端.客户端都已经部署完成,被监控主机已经添加,Zabiix监控运行正常. 实现目的: 在Zabbix服务端设置邮件报警,当被监控主机宕机或者达到触发器预设值时,会自动发送报警邮件到指定邮箱. 具体操作: 以下操作在Zabbix监控服务端进行 备注:Zabbix监控服务端 操作系统:CentOS 主机名:zabbix.osyunwei.com 邮件报警有两种情况: 1.Zabbix服务端只是单纯的发送报警邮件到指定邮箱,发送报警邮件的这个邮箱账号是Zabbix服务端的本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN28DNM.html" rel="bookmark">用ASP&period;NET Core 1&period;0中实现邮件发送功能-阿里云邮件推送篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇中用MailKit实现了Asp.net core 邮件发送功能,但一直未解决阿里云邮件推送问题,提交工单一开始的回复不尽如人意,比如您的网络问题,您的用户名密码不正确等,但继续沟通下阿里云客户还是很耐心的. 最终结论,是由于MailKit发送了两次EHLO命令,查看了MailKit源码后竟然发现,里面写了硬编码: if (host != &quot;smtp.strato.de&quot; &amp;&amp; host != &quot;smtp.sina.com&quot;) Ehlo (can			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJrx6p.html" rel="bookmark">linux中sendmail发送邮件成功但收不到邮件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  直接用yum安装,命令:yum install sendmail,安装好了,就开始启动,命令 :/etc/init.d/sendmail start ,显示启动完成,然后开始测试发邮件,$rs=mail('dalong0309@163.com','这个是主题',' 这个是内容');var_dump($rs);,输出结果是true,可查看邮件,却发现没收到任何邮件.一开始怀疑是php配置那里没 设置好对应的sendmail路径,改好php.ini配置后,却发现还是收不到邮件.检查了sendma			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmYPkwp.html" rel="bookmark">linux中sendmail发送邮件成功但收不到邮件解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				直接用yum安装,命令:yum install sendmail,安装好了,就开始启动,命令 :/etc/init.d/sendmail start ,显示启动完成,然后开始测试发邮件,$rs=mail('dalong0309@163.com','这个是主题',' 这个是内容');var_dump($rs);,输出结果是true,可查看邮件,却发现没收到任何邮件.一开始怀疑是php配置那里没 设置好对应的sendmail路径,改好php.ini配置后,却发现还是收不到邮件.检查了sendmail			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQdnEz.html" rel="bookmark">Linux中使用scp命令进行服务器文件互传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天 WordPress大学 所在的服务器环境不太稳定,CPU 占用总是 100%,折腾了好几次都没有找到原因,只好考虑重新配置环境,考虑到配置和优化好环境需要几个小时,总不能将网站停掉吧,所以要将 WordPress大学 网站临时迁移到另外的服务器运行,配置好再迁回来. 看来下阿里云的两个云服务器,都是同一个区的,所以决定通过内网进行文件传输,速度快不说(正常传输文件的速度能达到35m~50m/s),还不占用公网带宽. 阿里云云服务器有一个安全组策略,可能需要设置下 内网入.出方向的IP白名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXJxDp.html" rel="bookmark">linux中16个需要知道服务器监控命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你想知道你的服务器正在做干什么,你就需要了解一些基本的命令,一旦你精通了这些命令,那你就是一个 专业的 Linux 系统管理员. 有些 Linux 发行版会提供 GUI 程序来进行系统的监控,例如 SUSE Linux 就有一个非常棒而且专业的工具 YaST,KDE 的 KDE System Guard 同样很出色.当然,要使用这些工具,你必须在服务器跟前进行操作,而且这些 GUI 的程序占用了很多系统资源,所以说,尽管 GUI 用来做基本的服务器健康状态监测挺好,但如果你想知道真正发生什么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgmYLZz.html" rel="bookmark">Linux中安装使用http&lowbar;load对服务器进行压力测试的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http_load基于linux平台的一种性能测工具.以并行复用的方式运行,用以测试web服务器的吞吐量与负载,测试web页面的性能. 1.下载 官方网站:http://acme.com/software/http_load/ 代码如下: cd /root wget http://acme.com/software/http_load/http_load-12mar2006.tar.gz tar xzf http_load-12mar2006.tar.gz 2.安装 代码如下: cd http_			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7mdaM.html" rel="bookmark" class="title">PHP分页技术的代码和示例</a>
					<div>
						    分页是目前在显示大量结果时所采用的最好的方式.有了下面这些代码的帮助,开发人员可以在多个页面中显示大量的数据.在互联网上,分​页是一般用于搜索结果或是浏览全部信息(比如:一个论坛主题).几乎在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7kLVb.html" rel="bookmark" class="title">综合布线ANSI&sol;TIA&sol;EIA568-B：6类电缆标准</a>
					<div>
						1 综合布线铜缆双绞线6类线标准 综合布线铜缆双绞线6类线标准已经正式出台.随着计算机技术的飞跃发展,人们对快速通信的需求,对宽带带传输高速率的要求日益提高,作为网络的通信平台--综合布线系统的带宽也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7B1WM.html" rel="bookmark" class="title">Python编程入门的一些基本知识</a>
					<div>
						  这篇文章主要介绍了Python编程入门的一些基本知识,包括注释需和Shell命令使用等基本内容,要的朋友可以参考下 Python与Perl,C和Java语言等有许多相似之处.不过,也有语言之间有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze72K9M.html" rel="bookmark" class="title">Excel2010共享工作簿设置方法</a>
					<div>
						  在平时工作中制作Excel表格或者图表时,我们可以将文件设置成共享工作薄,然后给同事一起进行编辑,这样就可以大大提高我们的工作效率. 操作步骤 1.启动Excel2010,打开一个Excel图表. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYnOvb.html" rel="bookmark" class="title">Photoshop制作简洁网页导航教程</a>
					<div>
						  最终效果图 图00 1.创建一个 1000×750像素大小的文件,双击背景图层将其变为可编辑的图层,并打开图层样式&gt;颜色叠加,用#47382e叠加. 图01 2.打开标尺(视图 &gt; 标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WaQPb.html" rel="bookmark" class="title">小技巧删除U盘使用隐私</a>
					<div>
						  我们在使用U盘后电脑里都会记录相关的信息,如何才能安全地删除掉这些信息以保护我们的隐私呢?跟着来操作一下吧. 一.先往系统里面添加环境变量devmgr_shownonpresent_devices ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNVE8M.html" rel="bookmark" class="title">迅捷pdf转换成word转换器在线如何使用</a>
					<div>
						很多时候用户需要将一份PDF文件转换成Word文件,而用户又不愿意去专门下载安装一款PDF转换软件,这可怎么办呢?很多用户就会想,有没有一款在线转换的PDF软件,大家无需下载安装软件,直接在浏览器中就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAD6OM.html" rel="bookmark" class="title">Windows程序崩溃捕获一例</a>
					<div>
						背景: windows系统内某进程总是异常崩溃退出,导致程序频繁死掉,windows自带崩溃捕获dump的功能,只需要我们手动设置一下即可 1.启动 Windows Error Reporting S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k9A4M.html" rel="bookmark" class="title">我国网页数量达到336亿个年增长率超过100&percnt;</a>
					<div>
						中新网1月15日电 据CNNIC今日发布的&lt;第25次中国互联网络发展状况统计报告&gt;显示,2009年我国网页数量达到336亿个,年增长率超过100%.自2003年开始,我国的网页规模基本保持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQlnNp.html" rel="bookmark" class="title">query performance of the access dababase</a>
					<div>
						 source: http://support.microsoft.com/kb/209126 Information about query performance in an Access dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEanXz.html" rel="bookmark" class="title">数字-java基础中循环的问题，请解答</a>
					<div>
						问题描述 java基础中循环的问题,请解答 本应该对输入的数字的数位进行计算的程序,输入后得不到回应,咋么了? 解决方案 while后面的多了&quot;:&quot;,number大于0时,whil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOleQ5b.html" rel="bookmark" class="title">把VB语言转化成C&num;～哪个大神帮帮小妹吧！</a>
					<div>
						问题描述 把VB语言转化成C#-哪个大神帮帮小妹吧! 200C Private Sub Timer1_Tick(ByVal eventSender As System.Object ByVal eve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ6vVz.html" rel="bookmark" class="title">winfrom读取图片-C&num;&comma;winfrom怎么利用  listview和imageview从数据库获取图片，显示在窗体上？</a>
					<div>
						问题描述 C#,winfrom怎么利用 listview和imageview从数据库获取图片,显示在窗体上? 利用winfrom,listview和imageview实现从数据库读取图片 显示在界面上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAknQM.html" rel="bookmark" class="title">做一个美女图片大全那种的网站怎么提高网站流量？</a>
					<div>
						大家都看到了美女图片大全网站流量是很巨大的,但是不知道怎么入手.其实,百度图库很多是收录来自各个网站里的图片的,你只要在你的网站做好图片,或者在高权重的网站里发布带有你网站图片的内容就比较容易了. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydWllb.html" rel="bookmark" class="title">岁月是把杀猪刀，扒一扒IT人愈发上扬的发际线</a>
					<div>
						你是否经历了IT的严酷考验,可是现在当你照镜子的时候,却发现自己变成了秃头或者满头白发的鬼魂?如果是这样的话,你可真的并不孤单. 在PC支持的世界里工作可是和其他的工作或者职业不一样.是的,它带来的报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkegZdb.html" rel="bookmark" class="title">OpenCV中的级联分类器Cascade Classifier（面部识别）</a>
					<div>
						OpenCV中的级联分类器Cascade Classifier Goal In this tutorial you will learn how to: Use the CascadeClassifi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRAjwb.html" rel="bookmark" class="title">世界上最健康的生活方式！</a>
					<div>
						1.生活 : ① 少食肉:② 晒太阳:③ 雨中行:④ 常唱歌:⑤ 饭后息:⑥ 挺起胸:⑦ 静坐思:⑧ 天伦乐:⑨ 步当车:⑩ 行善事. 2.保持自我五术 工作勤奋,娱乐有度:对待朋友,不玩心术:处理事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xEgdb.html" rel="bookmark" class="title">评论：版权改革不宜过度鼓励&OpenCurlyDoubleQuote;旭日阳刚&rdquo;</a>
					<div>
						练洪洋 (媒体评论员) 3月31日,&lt;中华人民共和国著作权法&gt;(修改草案)公开征求意见,草案规定&quot;录音制品首次出版3个月后可不通过原作者同意进行翻唱&quot;引发音乐人强烈质疑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnYB1M.html" rel="bookmark" class="title">Visual Studio 2010 调试 Crystal Reports 正常，发布后浏览器显示空白，无反应。</a>
					<div>
						问题描述 如题:VisualStudio2010调试CrystalReports正常,发布后浏览器显示空白,无反应.开发环境:Win764bit,VisualStudio2010,CrystalRep ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgY3AM.html" rel="bookmark" class="title">在Kali Linux下实战Nmap（网络安全扫描器）</a>
					<div>
						在这第二篇 Kali Linux 文章中, 将讨论称为 'nmap' 的网络工具.虽然 nmap 不是 Kali 下唯一的一个工具,但它是最有用的网络映射工具之一. Nmap, 是 Network M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YaVBz.html" rel="bookmark" class="title">作为Emacs的爱好者，你的基本功真的合格吗？</a>
					<div>
						简评:都说Emacs的爱好者经常吹嘘自己的Emacs的功能可多了,除了文本编辑,其他的诸如收发邮件.听音乐甚至是打游戏都不在话下,这也说明Emacs的扩展性是极其强大的,一个Emacs往往可以搞定很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7GLRz.html" rel="bookmark" class="title">惠普引发PC服务市场震荡该借鉴毒奶粉事件</a>
					<div>
						CNET科技资讯网 3月17日 评论文章(文/梁钦):惠普被&quot;抓&quot;典型,已经过去两天时间了,惠普方面采取的一系列举措,也开始让人们看到作为全球第一大及在中国排名非常靠前的PC厂商的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0oqKp.html" rel="bookmark" class="title">Spring ResourceHolder的问题</a>
					<div>
						问题描述 请教一下ResourceHolderSupport中的synchronizedWithTransaction的作用是什么?设置的地方有2处:1.DataSourceTransactionMa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodGn3M.html" rel="bookmark" class="title">谷歌计划要将YouTube视频加入Adsense</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6.58.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京时间10月9日消息,据科技博客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnGVmM.html" rel="bookmark" class="title">网站进行SEO需注意的若干问题</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 说实在的,在这个网络世界里,SEO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GAmXp.html" rel="bookmark" class="title">Android 使用ViewPager自动滚动循环轮播效果&lowbar;Android</a>
					<div>
						对Android 利用ViewPager实现图片可以左右循环滑动效果,感兴趣的朋友可以直接点击查看内容详情. 主要介绍如何实现ViewPager自动播放,循环滚动的效果及使用.顺便解决ViewPage ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLmq6M.html" rel="bookmark" class="title">PHP实现事件机制的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP实现事件机制的方法.分享给大家供大家参考.具体如下: &lt;?php /** * 事件 */ class Event { private $callbacks = array() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYOkrb.html" rel="bookmark" class="title">如何掌握移动渐变动画</a>
					<div>
						问题1:我做得flash移动动画,在时间轴上面为什么没有那个长箭头的标志而且也没有出现移动动画效果? 解决思路 对于无法实现移动渐变效果,这个问题在初学者制作Flash过程中经常会遇到,往往百思不得其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmQZ2z.html" rel="bookmark" class="title">Google地图演示</a>
					<div>
						中关村在线消息: 苹果被预测在6月11日的WWDC上或发布3D苹果地图,作为目前世界上地图领域做的最精.用户体验度最高的&quot;Google地图&quot;怎能让步,国外媒体称,Google将于6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N1Rjz.html" rel="bookmark" class="title">使用一键U盘装系统安装原版操作系统详细图文教程</a>
					<div>
						一键U盘装http://www.aliyun.com/zixun/aggregation/18478.html&quot;&gt;系统工具是国内最早.最专业的 一款在WINDOWS界面下制作U盘启动盘 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
